Create a contract cancellation request

Creates a new contract cancellation request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

{
  "contract_id": "d516c361-3e50-42b2-b1e1-3723910146ae",
  "reason": "other",
  "other_reason": "some reason for requesting a contract cancellation",
  "reason_event_date": "2023-09-01T15:07:56.572316900Z",
  "metadata": {
    "custom_field": "example",
    "another_custom_field": [
      1,
      2
    ]
  }
}

For the exhaustive list of reason values, see the cancellation reasons.

For the following cancellation reasons, the reason_event_date body parameter MUST be set:

  • already_insured
  • insured_product_loss
  • insured_product_sold
  • insured_product_stolen
  • policyholder_status_change
  • other

Returns
A contract cancellation request is returned if the contract cancellation request creation succeeded. This call will return an error if something goes wrong.

Body Params
string
required

Unique identifier for the contract whose cancellation is requested.

string
enum
required

The reason provided by the policyholders when requesting the cancellation of their contracts.

string

A free text describing the reason of the cancellation when none of the reasons fit the policyholder case. Required when reason is set to OTHER.

date-time

Time at which the event that initiated the cancellation request happened. Formatted as a RFC 3339 timestamp. Required for some cancellation reasons.

string

User metadata for the contract cancellation request.
This is a free-form field that can be set to any JSON value, with a size limit of 1KB.

Language
LoadingLoading…